com.smartgwt.client.types

## Enum SelectionType

- java.lang.Object
- - java.lang.Enum<SelectionType>
  - - com.smartgwt.client.types.SelectionType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SelectionType>

      public enum SelectionType
      extends java.lang.Enum<SelectionType>
      implements ValueEnum

  Controls how an object changes state when clicked

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUTTON` object moves to "down" state temporarily (normal button)
    `CHECKBOX` object remains in "down" state until clicked again (checkbox)
    `RADIO` object moves to "down" state, causing another object to go up (radio)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SelectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUTTON

          public static final SelectionType BUTTON

      object moves to "down" state temporarily (normal button)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "button".

    - #### CHECKBOX

          public static final SelectionType CHECKBOX

      object remains in "down" state until clicked again (checkbox)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "checkbox".

    - #### RADIO

          public static final SelectionType RADIO

      object moves to "down" state, causing another object to go up (radio)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "radio".

  - ### Method Detail

    - #### values

          public static SelectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionType c : SelectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`